Subject: Re: [Sipping] Comments on draft-ietf-sipping-toip-03.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 10 Jan 2006 13:55:21 +0200

Hi Gunnar,

regarding the structure of the document, it will need to distinguish 
between requirements on the protocols to be used, and other types of 
requirements (e.g., storage capacity of the system), which could be 
phrased as recommendations for implementers.

The document should list the requirements for ToIP and then describe a 
framework using SIP, RTP, T.140, etc, that meets those requirements. 
After that, you may want to include some recommendations for 
implementers if needed.

Re-structuring the document along these lines will make it easier for 
people to understand its purpose. Right now, the document has many 
sections with requirements and it is difficult to understand how they 
relate to each other.

When you are done with it, we will ask somebody from the AVT working 
group to have a look at the draft to make sure that its usage of RTP and 
T.140 is appropriate.

Thanks,

Gonzalo

Gunnar Hellstrom wrote:
> Gonzalo,
> 
> The draft-ietf-sipping-toip draft aims to define a service framework for
> real-time text over IP using existing protocols and extensions.
> 
> Within that aim, it:
>  Documents service requirements
>  Identifies implementation possibilities today for all required functions.
>  Indicates areas where further improvements may be fruitful, that might
> require further protocol extensions or other new standards.
> 
> When we set out the work, we did not know if we could solve the required
> functionality with existing protocols and extensions. Therefore the work was
> placed in Sipping. We also presented that reason in IETF meetings along the
> path.
> Now we know both that it is possible to launch ToIP services today, and that
> it is important to keep on solving remaining issues that can result in more
> convenient services containing real-time text.
> 
> Regards
> 
> Gunnar
> ----------------------------------------------------------------------------
> -
> Gunnar Hellström, Omnitor
> [email-masked] <mailto:[email-masked]>
> Mob: +46 708 204 288
> Phone: +46 8 556 002 03
> www.omnitor.se <http://www.omnitor.se>
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Gonzalo Camarillo
> Sent: Wednesday, November 30, 2005 12:33 PM
> To: Arnoud van Wijk; Gunnar Hellstrom; sipping
> Cc: Rohan Mahy; Dean Willis
> Subject: [Sipping] Comments on draft-ietf-sipping-toip-03.txt
> 
> 
> Hi,
> 
> the WGLC on this draft has just finished. The authors have received a
> set of comments that will need to be taken into account.
> 
> However, I would like to discuss the scope and the purpose of this draft
> before going ahead with it. By reading the title of the draft, it seems
> like a requirements document. However, the draft seems to define a
> framework: not a framework of requirements, but a framework to implement
> ToIP services. In that sense, the draft seems like the definition of a
> service (the same way as the conferencing framework defines the
> conference service). Additionally, the draft also contains requirements
> on the graphical user interface of the user agents implementing the
> service, and system requirements (e.g., minimum storage capatity of some
> of the nodes used to implement the service).
> 
> My question is, what is the purpose of this draft?
> 
> Does it aim to define requirements so that the SIPish WGs develop
> protocol extensions needed for the service, does it aim to define a
> service framework using existing protocols and extensions, or does it
> aim to do something else?
> 
> We need to clarify what we are trying to do here...
> 
> Thanks,
> 
> Gonzalo
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP